<?php
session_name('portal_absa');
session_start();
if(!isset($_SESSION['usuario_p_prov_absa']) || trim($_SESSION['usuario_p_prov_absa']) == "" || trim(strtoupper($_SESSION["URL_PORTAL"]."admin.php")) != trim(strtoupper($_SERVER['HTTP_REFERER']))){
	?><script>window.location.href="<?=$_SESSION["URL_PORTAL"]."index.php"?>"</script><?
	exit;
}
$arrCorreo["error"]=-1;
require_once "../../clases/datosbd.class.php";
require_once "../../libs/funciones.php";

date_default_timezone_set("America/Mexico_City");

$datosbd = new datosbd();

if(!$datosbd->getCorreosProveedor($_REQUEST["rfc"])){
    $arrCorreo["mensaje"]="Ocurrio un error al consultar el correo del proveedor. ".$datosbd->mensajeerror;
}else if($datosbd->cCorreosProveedores == null){
    $arrCorreo["mensaje"]="No se encontro el correo a enviar.";
}else{
    $arrCorreo["correo"]=$datosbd->cCorreosProveedores["correo"];
}
$arrCorreo["error"]=0;
$arrCorreo["mensaje"]="";

echo json_encode($arrCorreo);



